Ruby - Bug #19290

Documentation: "produces:" (introducing terminal output) is wrongly formatted in few places
12/31/2022 12:00 PM - laurent_martin (Laurent Martin)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: 3.3.0dev Backport: 2.7: UNKNOWN, 3.0: UNKNOWN, 3.1:
UNKNOWN, 3.2: UNKNOWN

Description

warning.rb
Problem: The text "produces:" is embedded in formatted text, it should be normal emphasized text.

view here: https://ruby-doc.org/3.2.0/Kernel.html , 2 times after: "If warnings have been disabled"

source:

https://github.com/ruby/ruby/blob/master/warning.rb#L.18

https://github.com/ruby/ruby/blob/master/warning.rb#L.38

Fix: in both cases, remove one space character just before <em>produces:</em>
# <em>produces:</em>
shall be:

# <em>produces:</em>

signal.c
Problem: the text "produces:" is not emphasized like others.

view here: https://ruby-doc.org/3.2.0/Kernel.html after: "special signal name"
view here: https://ruby-doc.org/3.2.0/Signal.html

source:

https://github.com/ruby/ruby/blob/master/signal.c#L.1386

https://github.com/ruby/ruby/blob/master/signal.c#L 1538

Fix: surround with <em> and </em>, and add a line after the line: (2 places)
* produces:
shall be:

* <em>produces:</em>
*

Associated revisions

Revision f527a0911d5ff0476152a3e3c9bcd2247ead5636 - 01/01/2023 05:50 AM - nobu (Nobuyoshi Nakada)
[DOC] [Bug #19290] fix formatting

Revision f527a0911d5ff0476152a3e3c9bcd2247ead5636 - 01/01/2023 05:50 AM - nobu (Nobuyoshi Nakada)
[DOC] [Bug #19290] fix formatting
Revision f527a091 - 01/01/2023 05:50 AM - nobu (Nobuyoshi Nakada)
[DOC] [Bug #19290] fix formatting

History

#1 - 12/31/2022 12:03 PM - laurent_martin (Laurent Martin)
gc.c
problem: formating not consistent with other source files:

source: https://github.com/ruby/ruby/blob/master/gc.c#L.14423

Fix:

* _produces:_
replaced with:

*  <em>produces:</em>

#2 - 01/01/2023 05:51 AM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Closed

Applied in changeset git|f527a0911d5ff0476152a3e3c9bcd2247ead5636.
